Subject: [Teep] Constrained Node/Network Cluster @ IETF107: FINAL AGENDA

From: Carsten Bormann <[email-masked]>
Date: Sat, 29 Feb 2020 00:15:21 +0100

Here is my usual eclectic condensed agenda based on the FINAL AGENDA
for IETF107.  Remember that, occasionally, futher agenda changes do
happen.

Not much change from the DRAFT AGENDA.  SUIT has moved to Friday, now
on top of 6lo.  The other security/not-so-much-security conflicts in
the IoT space remain or have just been rearranged: ROLL vs. COSE/TEEP,
LPWAN vs. SAAG, and LAKE vs. RATS, WPACK vs. ACE; as are MODEL-T
vs. CORE and TXAUTH vs. T2TRG.  (A lot of the rooms have changed.)

All times are in PDT == UTC - 7 hours.  Note that North America is on
DST already during the IETF, while Europe will only go there on March
29, so we are in the three-week period of DST confusion (where the US
is one hour closer to the EU than the rest of the year).
(Pure UTC times at https://datatracker.ietf.org/meeting/agenda-utc are
useful for those who want to listen from remote.)

Grüße, Carsten

FRIDAY, March 20, 2020
0900-1800 T2TRG/W3C WoT Workshop https://github.com/t2trg/2020-03-vancouver

SATURDAY, March 21, 2020
0830-2200  IETF Hackathon - Plaza Ballroom

SUNDAY, March 22, 2020
0830-1600  IETF Hackathon - Plaza Ballroom
1700-1900  Welcome Reception - Regency A/B/C/D
1800-2000  Hot RFC Lightning Talks -- Plaza B/C

MONDAY, March 23, 2020

1000-1200  Morning Session I
Regency D	ART	dispatch	Dispatch WG - Joint with ARTAREA
Regency C	INT	6man	IPv6 Maintenance WG
Plaza B/C	IRTF	pearg	Privacy Enhancements and Assessments Research Group

1330-1530  Afternoon Session I
Regency C	ART	webtrans	WebTransport WG
Regency D	IRTF	maprg	Measurement and Analysis for Protocols
Georgia B	SEC	mls	Messaging Layer Security WG
Regency E	SEC	oauth	Web Authorization Protocol WG
Plaza A 	SEC ***	rats	Remote ATtestation ProcedureS WG

1550-1750  Afternoon Session II
Regency F	INT	add	Adaptive DNS Discovery WG
Regency C	IRTF	irtfopen	IRTF Open Meeting
Regency E	OPS	anima	Autonomic Networking Integrated Model and Approach WG
Plaza A 	RTG	raw	Reliable and Available Wireless WG
Plaza B/C	SEC	secdispatch	Security Dispatch WG

1810-1910  Afternoon Session III
Plaza A 	RTG ***	roll	Routing Over Low power and Lossy networks WG
Georgia B	SEC ***	cose	CBOR Object Signing and Encryption WG
Plaza B/C	SEC	tls	Transport Layer Security WG
Regency C	TSV	tsvarea	Transport Area Open Meeting

TUESDAY, March 24, 2020

0830-0945  Side Meetings / Open Time
Regency C		tdd	Technology Deep Dive

1000-1200  Morning Session I
Regency D	IRTF***	dinrg	Decentralized Internet Infrastructure
Regency F	SEC	acme	Automated Certificate Management Environment WG
Regency E	SEC ***	teep	Trusted Execution Environment Provisioning WG
Plaza B/C	TSV	quic	QUIC WG

1330-1530  Afternoon Session I
Regency C	INT	masque	Multiplexed Application Substrate over QUIC Encryption BOF
Regency D	IRTF	coinrg	Computing in the Network Research Group
Georgia A	RTG ***	roll	Routing Over Low power and Lossy networks WG
Regency E	SEC	emu	EAP Method Update WG
Georgia B	SEC ***	teep	Trusted Execution Environment Provisioning WG

1550-1720  Afternoon Session II
Regency F	ART ***	core	Constrained RESTful Environments WG
Plaza A 	IRTF	qirg	Quantum Internet Proposed Research Group
Georgia B	SEC	oauth	Web Authorization Protocol WG
Regency C	TSV	tsvwg	Transport Area Working Group WG

1740-1840  Afternoon Session III
Regency C	INT	6man	IPv6 Maintenance WG
Georgia B	INT ***	drip	Drone Remote ID Protocol WG
Georgia A	RTG	babel	Babel routing protocol WG
Regency D	RTG	detnet	Deterministic Networking WG
Regency E	RTG	rift	Routing In Fat Trees WG
Plaza B/C	TSV	quic	QUIC WG

WEDNESDAY, March 25, 2020

1000-1200  Morning Session I
Georgia B	IRTF***	t2trg	Thing-to-Thing
Georgia A	RTG	bier	Bit Indexed Explicit Replication WG
Regency D	SEC	txauth	Transactional Authorization and Delegation BOF
Plaza B/C	TSV	quic	QUIC WG

1330-1500  Afternoon Session I
Regency C	ART	wpack	Web Packaging BOF
Regency E	IRTF	panrg	Path Aware Networking RG
Georgia A	SEC ***	ace	Authentication and Authorization for Constrained Environments WG

1520-1650  Afternoon Session II
Plaza A 	ART ***	core	Constrained RESTful Environments WG
Georgia A	IAB	model-t	Internet Threat Model
Plaza B/C	RTG	rtgarea	Routing Area Open Meeting

1710-1940  IETF Plenary - Regency C/D/E/F

THURSDAY, March 26, 2020

1000-1200  Morning Session I
Georgia A	ART ***	cbor	Concise Binary Object Representation Maintenance and Extensions WG
Georgia B	INT	dnssd	Extensions for Scalable DNS Service Discovery WG - Joint with HOMENET
Georgia B	INT	homenet	Home Networking WG - Joint with DNSSD
Regency E	IRTF	icnrg	Information-Centric Networking
Regency C	SEC	privacypass	privacy-pass BOF
Plaza B/C	TSV	taps	Transport Services WG

1330-1530  Afternoon Session I
Regency E	INT ***	lpwan	IPv6 over Low Power Wide-Area Networks WG
Regency F	OPS	v6ops	IPv6 Operations WG
Regency D	SEC	saag	Security Area Open Meeting

1550-1720  Afternoon Session II
Regency C	ART	httpbis	HTTP WG
Regency E	INT	intarea	Internet Area Working Group WG
Regency D	IRTF	cfrg	Crypto Forum
Plaza B/C	RTG	detnet	Deterministic Networking WG

1740-1840  Afternoon Session III
Plaza A 	ART	uta	Using TLS in Applications WG
Regency D	OPS	anima	Autonomic Networking Integrated Model and Approach WG

FRIDAY, March 27, 2020

1000-1200  Morning Session I
Regency F	INT ***	6lo	IPv6 over Networks of Resource-constrained Nodes WG
Regency E	SEC ***	suit	Software Updates for Internet of Things WG
Regency C	SEC	tls	Transport Layer Security WG
Plaza B/C	TSV	tsvwg	Transport Area Working Group WG

1220-1350  Morning Session II
Regency D	ART	httpbis	HTTP WG
Regency C	IRTF	coinrg	Computing in the Network Research Group
Regency F	SEC ***	lake	Lightweight Authenticated Key Exchange WG
Plaza A 	SEC ***	rats	Remote ATtestation ProcedureS WG